image:
  repository: registry
  tag: '2.7.1'
  pullPolicy: 'IfNotPresent'
  pullSecrets: []

deployment:
  terminationGracePeriodSeconds: 30
  readinessProbe:
    enabled: true
    path: '/debug/health'
    # defaults to the debug port
    # port: 5001
    initialDelaySeconds: 5
    periodSeconds: 5
    timeoutSeconds: 1
    successThreshold: 1
    failureThreshold: 3
  livenessProbe:
    enabled: true
    path: '/debug/health'
    # defaults to the debug port
    # port: 5001
    initialDelaySeconds: 5
    periodSeconds: 10
    timeoutSeconds: 1
    successThreshold: 1
    failureThreshold: 3

service:
  name: registry
  type: ClusterIP
  externalPort: 5000
  internalPort: 5000
  clusterIP:
  loadBalancerIP:

## Support for tolerations for pod scheduling
tolerations: []

## Enable/Disable Chart
enabled: true

annotations: {}

networkpolicy:
  enabled: false
  egress:
    enabled: false
    rules: []
  ingress:
    enabled: false
    rules: []
  annotations: {}

ingress:
  enabled: true
  proxyReadTimeout: 900
  proxyBodySize: "0"
  proxyBuffering: "off"
  tls: {}
    # secretName:
    # enabled: true
  annotations: {}

global:
  ingress:
    enabled: true
    annotations: {}
    tls: {}
      # secretName:
      # enabled: true
  hosts:
    domain: example.com
    hostSuffix:
    https: true
    tls: {}
      # secretName:
    gitlab: {}
      #name: gitlab.example.com
      #https: false
    registry: {}
      #name: registry.example.com
      #https: false
    minio: {}
      #name: minio.example.com
      #https: false
  minio:
    enabled:
    credentials: {}
  registry:
    certificate: {}
    httpSecret: {}

## Control the InitContainer behaviors.
init:
  image: "busybox"
  tag: "latest"
  pullPolicy: "IfNotPresent"
  resources:
    requests:
      cpu: 50m
  script: |-
    if [ -e /config/accesskey ] ; then
      sed -e 's@ACCESS_KEY@'"$(cat /config/accesskey)"'@' -e 's@SECRET_KEY@'"$(cat /config/secretkey)"'@' /config/config.yml > /registry/config.yml
    else
      cp -v -r -L /config/config.yml  /registry/config.yml
    fi
    # Place the `http.secret` value from the kubernetes secret
    sed -i -e 's@HTTP_SECRET@'"$(cat /config/httpSecret)"'@' /registry/config.yml
    # Insert any provided `storage` block from kubernetes secret
    if [ -d /config/storage ]; then
      # Copy contents of storage secret(s)
      mkdir -p /registry/storage
      cp -v -r -L /config/storage/* /registry/storage/
      # Ensure there is a new line in the end
      echo '' >> /registry/storage/config
      # Default `delete.enabled: true` if not present.
      ## Note: busybox grep doesn't support multiline, so we chain `egrep`.
      if ! $(egrep -A1 '^delete:\s*$' /registry/storage/config | egrep -q '\s{2,4}enabled:') ; then
        echo 'delete:' >> /registry/storage/config
        echo '  enabled: true' >> /registry/storage/config
      fi
      # Indent /registry/storage/config 2 spaces before inserting into config.yml
      sed -i 's/^/  /' /registry/storage/config
      # Insert into /registry/config.yml after `storage:`
      sed -i '/storage:/ r /registry/storage/config' /registry/config.yml
      # Remove the now extraneous `config` file
      rm /registry/storage/config
    fi
    # Set to known path, to used ConfigMap
    cat /config/certificate.crt > /registry/certificate.crt

# define some sane resource requests and limitations
resources:
  # limits:
  #   cpu: 200m
  #   memory: 1024Mi
  requests:
    cpu: 50m
    memory: 32Mi

## Node labels for pod assignment
## ref: https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#nodeselector
nodeSelector: {}
# Protocol/Host only. '/jwt/auth' will be appended.
authEndpoint:
# Do not change this
tokenService: 'container_registry'
# This must match your GitLab Rails configuration
tokenIssuer: 'gitlab-issuer'
# Must to be `false` to support Windows clients
# See https://gitlab.com/gitlab-org/omnibus-gitlab/issues/3964
authAutoRedirect: false

# if minReplicas is >1, shared storage MUST be used.
minReplicas: 2
maxReplicas: 10
maxUnavailable: 1
storage: {}
minio:
  redirect: false

# https://github.com/docker/distribution/blob/master/docs/configuration.md#compatibility
compatibility:
  schema1:
    enabled: false

# Enable the registry to accept windows based docker images
# See https://github.com/docker/distribution/issues/2795
validation:
  disabled: true

# Configure the logging mechanism for the Container Registry as desired
# See https://docs.docker.com/registry/configuration/#log
log:
  level: warn
  fields:
    service: registry

debug:
  addr:
    port: 5001
  prometheus:
    enabled: false
    path: '/metrics'

# Amount of time to wait for HTTP connections to drain after
# receiving a SIGTERM signal
draintimeout: '0'

# https://docs.docker.com/registry/configuration/#health
health:
  storagedriver:
    enabled: false
    interval: 10s
    threshold: 3
